타운광장토픽게시판

현재 XE 1.11.x 버전에 php 5.6.32 로 사이트를 운영중인데요.
rhymix + php 8.0 을 생각중에 있습니다.

php 7.2↑ + XE 1.11.x 에서는  클래스 선언문쪽에서 에러가 많이 나던거같은데..
rhymix + php 8.0 을 사용하시는분들이 계실까요?
아직 시기상조이면 rhymix + php 7.4 로 설치하려고 합니다.

  • profile
    PHP 8.0.3 사용중입니다. 라이믹스 2.0.8 현재 코어쪽 안정화가 많이 되었습니다. 안심하고 쓰셔도 됩니다만 서드파티쪽에서는 아직 대응을 못하고 있는것 같습니다. 실사이트에 올리는것은 비추천합니다.
  • profile

    XE 1.x는 사실상 PHP 7.1까지가 한계이고 PHP 7.2 이상의 환경에서 사용하려면 라이믹스로 전환하는 게 낫습니다.


    Rhymix도 서드파티 자료를 많이 사용하신다면 7.4에서 당분간 머무르는 게 나아보입니다. PHP 8도 좀 더 지켜봐야할 것 같고요.

  • profile
    어차피 맞아야 할 매라면 생각 났을때, 지금 맞는 것이 낫다는 생각입니다. 1년 내내 웹페이지에 집중 하는 사람이라면 상관 없지만, 안그런 사람이면 나중에 PHP8로 올릴려면 그것도 일입니다. PHP8만의 성능향상도 덤이구요.

    지금 올릴지, 1년뒤 올릴지, 5년뒤 올릴지의 문제일뿐, 언젠가는 결국은 강제로라도 올릴수밖에 없을테니까요 (과거에 PHP4->5->7 했듯이). 라이믹스 코어에서는 "에러"는 거의 잡은 것 같고, "경고"는 아직 엄청(페이지당 수십~수백개) 뜹니다만, 사용하는데는 큰 지장은 없습니다. 스킨이나 위젯, 모듈 등 서드파티 사용하고 있으면, 쪼금 수정해줘야 할수도 있는데, 에러 나는 곳 찾으면서 하나하나 해가면 크게 어렵지는 않습니다 (php7 -> php8 컨버젼 팁이 정리된 것이 어디 있으면 도움이 될텐데요).